## org.eclipse.emf.mapping.ecore2xml
Interface XMLInfo

All Superinterfaces:
  EObject, Notifier, XMLResource.XMLInfo

All Known Implementing Classes:
  XMLInfoImpl

    public interface XMLInfo

extends EObject, XMLResource.XMLInfo

A representation of the model object 'XML Info'.

See Also:
  `Ecore2XMLPackage.getXMLInfo()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLResource.XMLInfo
`ATTRIBUTE, CONTENT, ELEMENT, UNSPECIFIED`

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`java.lang.String` `getTargetNamespace()` Returns the value of the 'Target Namespace' attribute
`int` `getXMLRepresentation()` Returns the value of the 'XML Representation' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setTargetNamespace(java.lang.String value)` Sets the value of the '`Target Namespace`' attribute
`void` `setXMLRepresentation(int value)` Sets the value of the '`XML Representation`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  Specified by:
    `getName` in interface `XMLResource.XMLInfo`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `Ecore2XMLPackage.getXMLInfo_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Specified by:
    `setName` in interface `XMLResource.XMLInfo`
  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getTargetNamespace

    java.lang.String getTargetNamespace()

  Returns the value of the 'Target Namespace' attribute.

  Specified by:
    `getTargetNamespace` in interface `XMLResource.XMLInfo`
  Returns:
    the value of the 'Target Namespace' attribute.
  See Also:
    `setTargetNamespace(String)`, `Ecore2XMLPackage.getXMLInfo_TargetNamespace()`

### setTargetNamespace

    void setTargetNamespace(java.lang.String value)

  Sets the value of the '`Target Namespace`' attribute.

  Specified by:
    `setTargetNamespace` in interface `XMLResource.XMLInfo`
  Parameters:
    `value` - the new value of the 'Target Namespace' attribute.
  See Also:
    `getTargetNamespace()`

### getXMLRepresentation

    int getXMLRepresentation()

  Returns the value of the 'XML Representation' attribute. The default value is `"-1"`.

  Specified by:
    `getXMLRepresentation` in interface `XMLResource.XMLInfo`
  Returns:
    the value of the 'XML Representation' attribute.
  See Also:
    `setXMLRepresentation(int)`, `Ecore2XMLPackage.getXMLInfo_XMLRepresentation()`

### setXMLRepresentation

    void setXMLRepresentation(int value)

  Sets the value of the '`XML Representation`' attribute.

  Specified by:
    `setXMLRepresentation` in interface `XMLResource.XMLInfo`
  Parameters:
    `value` - the new value of the 'XML Representation' attribute.
  See Also:
    `getXMLRepresentation()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.